[#]: collector: "lujun9972"
[#]: translator: "qfzy1233"
[#]: reviewer: " "
[#]: publisher: " "
[#]: url: " "
[#]: subject: "Top 5 Linux Distributions for Productivity"
[#]: via: "https://www.linux.com/blog/learn/2019/1/top-5-linux-distributions-productivity"
[#]: author: "Jack Wallen https://www.linux.com/users/jlwallen"

五个最具生产力的 Linux 发行版
======

![](https://www.linux.com/sites/lcom/files/styles/rendered_file/public/productivity_main.jpg?itok=2IKyg_7_)

必须承认的是，这样一个热门的话题其实很难被总结出来。为什么呢？首先，Linux 在设计层面就是一种有生产力的操作系统。由于它极强的可靠性和稳定的平台，使得工作的开展变得简易化。其次为了衡量工作的效率，你需要考虑到哪项工作需要得到生产力方面的助推。是普通办公？开发类工作？学校事务？数据挖掘？或者是人力资源？你可以看到这一问题变得复杂起来了。

然而，这并不意味着那些基于推动底层操作系统成为更为高效平台的发行版们可以在配置和呈现方面做的更好。恰恰相反，许多发行版在偏离生产力这条道路上越走越远，所以你不会意识到你自己处在工作的窘境中，而是继续挖掘自己的潜力在工期结束之前拼命赶上进度。这些 Linux 发行版可以帮助你化繁为简，因此或许可以减少你工作流程中的痛点。

让我们来看一下这些发行版并为你找出适合你的最佳选择。为了更具条理，我按照生产力诉求把他们分成了几类。这项任务本身也是一种挑战，因为每个人在生产力提升上的需要是千差万别的。然而，我所关注的是下列的几项：

  * 普通生产力: 适于从事复杂工作并希望提升工作效率。

  * 平面设计: 适于从事设计创造和图像处理的人们。

  * 开发: 适于那些使用 Linux 桌面发行版来进行编程工作。

  * 管理人员: 适于那些需要某些版本来促进一体化的管理任务的人员。

  * 教育: 适于那些需要桌面发行版可以助力他们在教育领域更创造力的人们。


诚然，有很多很多类别的发行版可供挑选，其中的很多可能用起来十分得心应手，但这五种或许是你最为需要的。


### 普通生产力

对普通的生产力诉求来说，你不会找到比 [Ubuntu][1] 更为高效的了。在这个类别中首推 Ubuntu 最基础的原因是因为它实现了桌面操作系统、软件、服务的无缝集成。你可能会问为什么我不选择同类别的 Linux Mint 呢？因为 Ubuntu 现在默认的的桌面环境为 GNOME 桌面，而它拥有 GNOME 许多扩展程序的优势的加成（图 1）。


![GNOME Clipboard][3]

图 1：运行中的 GNOME 桌面的剪切板管理工具。

[经许可使用][4]

这些扩展程序在提升生产力方面做了很多努力(所以 Ubuntu 比 Linux Mint 获得了更多的认可)。但是 Ubuntu 不仅仅支持 vanilla 版本的 GNOME 桌面。事实上，他们致力于将它改进的更为轻量化、更为高效、以及用户友好度更高、开箱即用。总而言之，由于 Ubuntu 正确的融合了多种特性，开箱即用，完善的软件支持（仅对工作方面而言），这些特性使它几乎成为了生产力领域最为完美的一个平台。

不管你是要写一篇文档，制作一张电子表格，写一个新的软件，开啊公司的网站，设计商用的图形，管理一个服务器或是网络，抑或是在你的公司内从事人力资源管理工作， Ubuntu 都可以满足你的需求。Ubuntu 桌面发行版也并不要求你耗费很大的精力才能开始开始开展工作…他只是纯粹的工作（并且十分优秀）。最后，得益于 Debian 的基础，使得 Ubuntu 上安装第三方的软件十分简便。

很难反对这一特殊的发行版在生产力发行版列表中独占鳌头，尽管 Ubuntu 几乎已经成为几乎所有“顶级发行版”列表的榜首。

### 平面设计

如果你正在寻求提升你的平面设计效率，你不能错过[Fedora设计套件][5]。这一 Fedora 的衍生版是由负责 Fedora 艺术类项目的团队亲自操刀制作的。虽然默认选择的应用程序并不是一个庞大的工具集合，但它所包含的工具都是创建和处理图像专用的。

有了GIMP、Inkscape、Darktable、Krita、Entangle、Blender、Pitivi、Scribus等应用程序(图 2)，您将发现完成图像编辑工作所需要的一切都已经准备好了，而且准备得很好。但是Fedora设计套件并不仅限于此。这个桌面平台还包括一堆教程，涵盖了许多已安装的应用程序。对于任何想要尽可能提高效率的人来说，这将是一些非常有用的信息。不过，我要说的是，GNOME Favorites中的教程不过是[此页][6]链接的内容。

![Fedora Design Suite Favorites][8]

图 2: Fedora Design Suite Favorites菜单包含了许多工具，可以让您用于图形设计。

[经许可使用][4]

那些使用数码相机的用户肯定会喜欢Entangle应用程序，它可以让你在电脑上上控制单反相机。

### 开发人员

几乎所有的Linux发行版对于程序员来说都是很好的编程平台。然而，有一种特定的发行版脱颖而出，并超越了其他发行版，它将是您见过的用于编程类最有效率的工具之一。这个操作系统来自[System76][9]（译注：一家美国的计算机制造商），名为[Pop!_OS][10]。Pop!_OS是专门为创作者定制的，但不是针对艺术类。相反,Pop!_OS面向专门从事开发、编程和软件制作的程序员。如果您需要一个既能完美的胜任开发平台又包含桌面操作系统的开发环境，Pop!_OS 将会是您的不二选择。 (图 3)

可能会让您感到惊讶(考虑到这个操作系统是多么“年轻”)的是Pop!_OS也是您使用过的基于 GNOME平台的最稳定系统的之一。这意味着 Pop!_OS 不只是为创造者和制造者准备的，也是为任何想要一个可靠的操作系统的人准备的。你可以下载针对你的硬件的专门 ISO 文件，这一点是许多用户十分欣赏的。如果你有英特尔硬件,[下载][10]Intel或AMD的版本。如果您的显卡是NVIDIA，请下载该特定版本。不管怎样，您肯定会得到针对不同平台进行特殊定制的稳定的版本。

![Pop!_OS][12]

图 3: 装有 GNOME 桌面的 Pop!_OS 一览。

[经许可使用][4]

有趣的是，在 Pop!_OS 中，您不会找到太多预装的开发工具。你也不会找到IDE或许多其他开发工具。但是，您可以在Pop 商店中中找到所需的所有开发工具。

### 管理人员

如果你正在寻找适合管理领域的最生产力的发行版本，[Debian][13]将会是你的不二之选。为什么这么说呢？因为 Debian 不仅仅拥有无与伦比的可靠性，它也是众多能从苦海中将你解救出来的最好的一个版本。Debian是易用性和无限可能性的完美结合。最重要的是，因为它是许多其他发行版的基础，所以可以打赌的是，如果您需要一个任务的管理工具，那么它一定支持 Debian 系统。当然，我们讨论的是一般管理任务，这意味着大多数时候您需要使用终端窗口 SSH 连接到服务器(图4)，或者在浏览器上使用网络上基于web的GUI工具。既然如此为什么还要使用一个复杂的桌面呢(比如Fedora中的SELinux或openSUSE中的YaST)呢?所以,应选择更为简洁易用的那一种。
![Debian][15]

图 4: 在 Debian 系统上通过SSH 连接到远程服务器。

[经授权使用][4]

你可以选择你想要的不同的桌面（包括GNOME, Xfce, KDE, Cinnamon, MATE, LXDE），确保你所使用的桌面外观最适合你的工作习惯。

### 教育

如果你是一名老师或者学生，抑或是其他从事与教育相关工作的人士，你需要适当的工具来变得更具创造力。之前，有 Edubuntu 这样的版本。这一版本位列教育类相关发行版排名的前列。然而，自从 Ubuntu 14.04 版之后这一发行版就再也没有更新。还好，现在有一款基于 openSUSE 的新的以教育为基础的发行版有望夺摘得桂冠。这一改版叫做 [openSUSE:Education-Li-f-e][16] (Linux For Education - 图 5), 它基于 openSUSE Leap 42.1 （所以它可能稍微有一点过时）。

openSUSE:Education-Li-f-e 包含了一下工具：

  * Brain Workshop（大脑工坊） - 一种基于 dual n-back 模式的大脑训练软件（译注：dual n-back 训练是一种科学的智力训练方法，可以改善人的工作记忆和流体智力）
  
  * GCompris - 一种针对青少年的教育软件包

  * gElemental - 一款元素周期表查看工具

  * iGNUit - 一款通用的记忆卡片工具

  * Little Wizard - 基于 Pascal 语言的少儿编程开发环境

  * Stellarium - 天文模拟器

  * TuxMath -  数学入门游戏

  * TuxPaint - 一款少儿绘画软件

  * TuxType - 一款为少儿准备的打字入门软件

  * wxMaxima - 一个跨平台的计算机代数系统

  * Inkscape - 矢量图形编辑软件

  * GIMP - 图像处理软件（译注：被誉为 Linux 上的 PhotoShop）

  * Pencil - GUI 模型制作工具

  * Hugin - 全景照片拼接及 HDR 效果混合软件


![Education][18]

图 5:  openSUSE:Education-Li-f-e 发行版拥有大量的工具可以帮你在学校中变得更为高效。

[经许可使用][4]

同时还集成在 openSUSE:Education-Li-f-e 中的还有 [KIWI-LTSP Server][19] 。Also included with openSUSE:Education-Li-f-e is the [KIWI-LTSP Server][19]. KIWI-LTSP KIWI-LTSP服务器是一个灵活的、成本有效的解决方案，旨在使全世界的学校、企业和组织能够轻松地安装和部署桌面工作站。虽然这可能不会直接帮助学生变得更具创造力，但它肯定会使教育机构在部署供学生使用的桌面时更有效率。有关配置 KIWI-LTSP 的更多信息，请查看openSUSE [KIWI-LTSP quick start guide][20].

通过 Linux 基金会和 edX 的免费["入门介绍"][21]课程来了解更多关于 Linux 的知识。

--------------------------------------------------------------------------------

via: https://www.linux.com/blog/learn/2019/1/top-5-linux-distributions-productivity

作者：[Jack Wallen][a]
选题：[lujun9972][b]
译者：[qfzy1233](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.linux.com/users/jlwallen
[b]: https://github.com/lujun9972
[1]: https://www.ubuntu.com/
[2]: /files/images/productivity1jpg
[3]: https://www.linux.com/sites/lcom/files/styles/rendered_file/public/productivity_1.jpg?itok=yxez3X1w "GNOME Clipboard"
[4]: /licenses/category/used-permission
[5]: https://labs.fedoraproject.org/en/design-suite/
[6]: https://fedoraproject.org/wiki/Design_Suite/Tutorials
[7]: /files/images/productivity2jpg
[8]: https://www.linux.com/sites/lcom/files/styles/rendered_file/public/productivity_2.jpg?itok=ke0b8qyH "Fedora Design Suite Favorites"
[9]: https://system76.com/
[10]: https://system76.com/pop
[11]: /files/images/productivity3jpg-0
[12]: https://www.linux.com/sites/lcom/files/styles/rendered_file/public/productivity_3_0.jpg?itok=8UkCUfsD "Pop!_OS"
[13]: https://www.debian.org/
[14]: /files/images/productivity4jpg
[15]: https://www.linux.com/sites/lcom/files/styles/rendered_file/public/productivity_4.jpg?itok=c9yD3Xw2 "Debian"
[16]: https://en.opensuse.org/openSUSE:Education-Li-f-e
[17]: /files/images/productivity5jpg
[18]: https://www.linux.com/sites/lcom/files/styles/rendered_file/public/productivity_5.jpg?itok=oAFtV8nT "Education"
[19]: https://en.opensuse.org/Portal:KIWI-LTSP
[20]: https://en.opensuse.org/SDB:KIWI-LTSP_quick_start
[21]: https://training.linuxfoundation.org/linux-courses/system-administration-training/introduction-to-linux
